#! /usr/bin/env python

# Splits kerning pairs into T1, L7x and rest
# Needs one argument--the afm file to split

import os, sys, string

ENC_PATH = '../../../../gentium/fonts/enc/dvips/gentium/'

# create set with glyphs in T1 (normal and small caps)
t1glyphs = set("")
f = open(ENC_PATH + 'gentium-ec.enc', "r")
for s in f:
    if s[0] == "/":
        t1glyphs.add(s[1:-1])
f.close()
f = open(ENC_PATH + 'gentium-ec-sc.enc', "r")
for s in f:
    if s[0] == "/":
        t1glyphs.add(s[1:-1])
f.close()

# create set with glyphs in L7x (normal and small caps)
l7xglyphs = set("")
f = open(ENC_PATH + 'gentium-l7x.enc', "r")
for s in f:
    if s[0] == "/":
        l7xglyphs.add(s[1:-1])
f.close()
f = open(ENC_PATH + 'gentium-l7x-sc.enc', "r")
for s in f:
    if s[0] == "/":
        l7xglyphs.add(s[1:-1])
f.close()


# create text file with kerning pairs for T1
fin = open(sys.argv[1], "r")
ft1 = open("kerns-t1.afm", "w")
fl7x = open("kerns-l7x.afm", "w")
frest = open("kerns-rest.afm", "w")
i = 0
for s in fin:
    [a, b, c, d] = s.split()
    if b in t1glyphs and c in t1glyphs:
        ft1.write(s)
    elif b in l7xglyphs and c in l7xglyphs:
        fl7x.write(s)
    else:
        frest.write(s)
frest.close()
fl7x.close()
ft1.close()
fin.close()
